# Create a master file for the specified asset (deprecated)

Creates a master file for the specified asset using the uploaded file. Requires the metadata returned in the response during the creation of the upload URL. User must have permission to update the asset or create the master file.

Endpoint: POST /api/v1.0/upload/assets/{id}
Version: v1.0
Security: OAuth2

## Path parameters:

  - `id` (integer, required)
    The unique identifier of the asset to create a master file for.

## Request fields (application/json-patch+json):

  - `storageIdentifier` (string,null)
    The identifier of the upload storage returned during the request for the upload URL.

  - `fileIdentifier` (string,null)
    The file identifier returned during the request for the upload URL.

## Response 200 fields (application/json):

  - `success` (boolean)
    Indicates whether the upload was successful.

  - `message` (string,null)
    The message of the error if the upload was not successful.

  - `asset_id` (integer,null)
    The ID of the asset that was created or updated as a result of the upload.

  - `asset_identifier` (string,null)
    The identifier of the asset that was created or updated as a result of the upload.

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 401 fields
